Subject: Re: bug#62876: 28.2; strikethrough text on TTY not showing

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Apr 2023 09:19:01 +0300

merge 62876 62265
thanks

> From: Ivan Kuraj <[email-masked]>
> Date: Sat, 15 Apr 2023 21:11:00 -0400
> 
> 
> Strikethrough text is not displaying properly when Emacs is started with `emacs -nw`. I tried xterm (Arch Linux), iTerm2 (MacOS), xterm/iterm2 over ssh. Tried Emacs 28.2 (Linux/Macos, with/without native compilation, with/without Doom Emacs).
> 
> On xterm strikethrough is underlined. Terminals, as well as GUI Emacs, properly display strikethrough. (Terminals on executing `echo -e "\e[9mstrikethrough\e[0m"`.) TERM is set so that the terminals confirm support for "smxx":
> > $ TERM=xterm-24bit infocmp -x | grep -E '(rm|sm)xx'
> > 79:     kpZRO=\EOp, rmxx=\E[29m,
> > 82:     smxx=\E[9m, xm=\E[<%i%p3%d;%p1%d;%p2%d;%?%p4%tM%em%;,
> 
> If I am not mistaken, this was working properly on prior versions of Emacs. (As confirmed, e.g. here: https://emacs.stackexchange.com/questions/43722/emacsclient-nw-and-strikethrough-text-in-org-mode)

This is a duplicate of bug#62265, for which I just installed a fix on
the emacs-29 branch.  Please try that branch if you can.

P.S. Support for strikethrough on TTY frames was added to Emacs in
version 28.1.